> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shiftkeeper.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List teams

> List all teams in your organization.



## OpenAPI

````yaml https://api.shiftkeeper.io/openapi.json get /teams/
openapi: 3.1.0
info:
  title: Shiftkeeper API
  description: API reference to interact with Shiftkeeper programatically
  version: 0.0.1
servers:
  - url: https://api.shiftkeeper.io
security:
  - apiKey: []
externalDocs:
  url: https://docs.shiftkeeper.io
  description: Learn more about Shiftkeeper
paths:
  /teams/:
    get:
      tags:
        - Teams
      summary: List teams
      description: List all teams in your organization.
      parameters:
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
          in: query
          name: per_page
          description: The number of items per page.
        - schema:
            type: number
            minimum: 1
            default: 1
          in: query
          name: page
          description: The page number of the results to return.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  teams:
                    type: array
                    items:
                      $ref: '#/components/schemas/Team'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
                required:
                  - teams
                  - meta
components:
  schemas:
    Team:
      type: object
      properties:
        id:
          type: string
          description: The ID of the team.
        name:
          type: string
          minLength: 1
          maxLength: 60
          description: The name of the team.
        description:
          type: string
          maxLength: 200
          description: The description of the team.
      required:
        - id
        - name
      examples:
        - id: tea_VJ4sYEOOXVvJBXqFjRzpm
          name: Payments
          description: All about payments and billing
    PaginationMeta:
      type: object
      properties:
        total:
          type: number
          description: The total number of items in the collection.
        page:
          type: number
          description: The current page number.
        per_page:
          type: number
          description: The number of items per page.
      required:
        - total
        - page
        - per_page
      examples:
        - total: 100
          page: 1
          per_page: 20
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key which starts with 'keeper_'

````